import {Avatar} from "@mui/material";
import avatar from "../assets/img/avatarGolub.jpg";
import styled from "styled-components";
import {setActiveUserAllPosts, setUserDataAsync} from "../store/actionCreators/ActionCreators";
import {useNavigate} from "react-router-dom";
import {connect} from "react-redux";

const Nick = styled.div`
  margin-left: 20px;
  font-size: 15px;
  padding-top: 10px;
  font-weight: bold;

`
const AvatarNickWrapper = styled.div`
  margin: 5px 10px;
  cursor: pointer;
  display: flex`

function AvaLoginBlock({user, closeModal, setActiveUserAllPosts, setUserDataAsync, activeUserPosts}) {
    const navigate = useNavigate();

    const name = user.owner?.login || user.login;
    const urlAva = user.owner?.avatar || user.avatar

    function chooseUser(user) {
        const userId = user.owner ? user.owner._id : user._id;
        closeModal();
        setUserDataAsync(userId, false)
        navigate("/profile")
        activeUserPosts && activeUserPosts.length === 0 &&
        setActiveUserAllPosts(null)
    }

    return <>
        <AvatarNickWrapper onClick={() => chooseUser(user)}>
            <Avatar src={urlAva ? urlAva.url : avatar} alt={"avatar"} sx={{border: "1px solid grey"}}/>
            <Nick>{name ? name : "Anon"}</Nick>
        </AvatarNickWrapper>
    </>
}

const mapStateToProps = (state) => {
    return {
        activeUserPosts: state.activeUserPosts,
    }
}

const mapDispatchToProps = (dispatch) => {
    return {
        setActiveUserAllPosts: (posts) => dispatch(setActiveUserAllPosts(posts)),
        setUserDataAsync: (id, isOwner) => dispatch(setUserDataAsync(id, isOwner)),
    }
}

export default connect(mapStateToProps, mapDispatchToProps)(AvaLoginBlock);