import AvaLoginBlock from "./AvaLoginBlock";
import TimeOfCreation from "./TimeOfCreation";
import styled from "styled-components";
import {SpaceBetweenWrapper} from "../shared/styledComponents";
import KeyboardReturnIcon from '@material-ui/icons/KeyboardReturn';

const AnswerWrap = styled.div`
  margin-left: 30px;
  margin-top: 3px;
  min-width: 100px;
  overflow: auto;
`

const CommentBlockStyled = styled.div`
  display: flex;
  flex-direction: column;
  min-width: 100px;
  overflow: auto;
  box-shadow: rgba(0, 0, 0, 0.05) 0px 1px 2px 0px;

`
const CommentText = styled.p`
  word-wrap: break-word;
  padding-right: 10px;
`
const TimeWrapper = styled.p`
font-size: 12px;`

const Comment = ({commentData, closeModal}) => {
    return (
        <>
            <CommentBlockStyled>
                <SpaceBetweenWrapper>
                    <AvaLoginBlock user={commentData.owner} closeModal={closeModal}
                                   styled={{height: "30px"}}/>
                    <TimeWrapper>
                    <TimeOfCreation createdTime={commentData.createdAt}/>
                    </TimeWrapper>
                </SpaceBetweenWrapper>
                <CommentText>{commentData.text}</CommentText>

                {commentData.answers &&
                <AnswerWrap>
                    <KeyboardReturnIcon style={{transform: "scaleX(-1)"}}/>
                    {commentData.answers.map((item, i) => <Comment commentData={item} key={i}/>)}
                </AnswerWrap>
                }
            </CommentBlockStyled>
        </>
    )
};

export default Comment;