import {useState} from "react";
import styled from "styled-components";
import {gqlSendComment} from "../shared/services&utilits/gqlRequest";
import {SendButton} from "../shared/styledComponents";

const MessageWrapper = styled.div`
  display: flex;
  align-items: center;
    width: 100%;
`
const TextArea = styled.textarea`
  resize: none;
  width: 60%;
  height: 30%;
`
function CommentMessageBlock({postId,updatePostData}){
    const [textMessage, setTextMessage ] = useState("");

    function inputHandler(e){
        setTextMessage(e.target.value)
    }

    async function sendMessage(){
            await  gqlSendComment(postId,textMessage);
            setTextMessage("");
            updatePostData();
    }

    return(
        <MessageWrapper>
            <TextArea onChange={inputHandler} value={textMessage}/>
            <SendButton disabled={!textMessage.length} onClick={sendMessage}>Send</SendButton>
        </MessageWrapper>

    )
}
export default CommentMessageBlock;