import picture from "../assets/img/brokenPicture.png";
import Carousel from "react-material-ui-carousel";


const ImgBlock = ({images}) => {
    return (
        <>
            {!images && <img src={picture} alt={"pic"}/>}
            {images && images.length === 1 && <img src={images[0].url || picture } alt={"pic"} style={{width: "100%", maxHeight: "300px"}}/>}
            {images && images.length > 1 && <div style={{width: "100%"}}>
                <Carousel autoPlay={false} navButtonsAlwaysVisible={true}>{
                    images.map((item, i) => <div key={i}
                                                 style={{width: "100%",
                                                     height: "300px",
                                                     background: item.url ? `url(${item.url})` : picture,
                                                     backgroundPosition: "center" ,
                                                     backgroundSize: "contain",
                                                     backgroundRepeat: "no-repeat"}}
                    />)
                }
                </Carousel>
            </div>}
        </>
    )
};

export default ImgBlock;