import ImgBlock from "./ImgBlock";
import AvaLoginBlock from "./AvaLoginBlock";
import CommentsBlock from "./CommentsBlock";
import LikeBlock from "./LikeBlock";
import CommentMessageBlock from "./CommentMessageBlock";
import styled from "styled-components";
import {connect} from "react-redux";
import {useState} from "react";
import ModalWindow from "./ModalWindow";
import NewPost from "./NewPost";
import {EditPostButton, SpaceBetweenWrapper, Title} from "../shared/styledComponents";

const AvaLoginWrap = styled.div`
  display: flex;
  margin-top: 30px;
  width: 80%;

`
const DescriptionPostWrapper = styled.div`
  height: fit-content;
  width: 100%;
  box-shadow: rgba(17, 17, 26, 0.1) 0px 1px 0px;
  padding-bottom: 5px;
`
const InfoBlockInModalWrapper = styled.div`
  width: 50%;
`
const Text = styled.p`
`
const PicsInModalWrapper = styled.div`
  width: 50%;
  max-height: 100%;
  margin: 30px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: rgba(0, 0, 0, 0.25) 0px 0.0625em 0.0625em, rgba(0, 0, 0, 0.25) 0px 0.125em 0.5em, rgba(255, 255, 255, 0.1) 0px 0px 0px 1px inset;
`


function Post({postData, updatePostData, closeModal, id}) {
    const [isModal, setIsModal] = useState(false);

    function toogleModalWindow() {
        setIsModal(!isModal)
    }

    function editPostHandler() {
        toogleModalWindow();
    }

    return (<>
            <PicsInModalWrapper>
                <ImgBlock images={postData.images}/>
            </PicsInModalWrapper>
            <InfoBlockInModalWrapper>
                <SpaceBetweenWrapper>
                    <AvaLoginWrap>
                        <AvaLoginBlock closeModal={closeModal} user={postData.owner}/>
                    </AvaLoginWrap>
                    {postData.owner._id === id && <EditPostButton onClick={editPostHandler}>Edit Post</EditPostButton>}
                </SpaceBetweenWrapper>

                <DescriptionPostWrapper>
                    <Title>Title:{postData.title}</Title>
                    <Text>{postData.text}</Text>

                </DescriptionPostWrapper>
                <CommentsBlock post={postData} closeModal={closeModal}/>
                {postData.likes &&
                <LikeBlock likes={postData.likes} postId={postData._id} updatePostData={updatePostData}/>
                }
                <CommentMessageBlock postId={postData._id} updatePostData={updatePostData}/>
            </InfoBlockInModalWrapper>
            {isModal && <ModalWindow closeModal={toogleModalWindow}>
                <NewPost closeModal={toogleModalWindow} postData={postData} loadedImages={postData.images}/>
            </ModalWindow>}
        </>

    )
}

const mapStateToProps = (state) => {
    return {
        id: state.auth.user.sub.id,
    }
}
export default connect(mapStateToProps)(Post);