const initialState = {
    auth: null,
    activeUser: null,
    activeUserPosts: null,
    ownerData: null,
    error: {
        auth: null,
    }
}
const rootReducer = (state = initialState, action) => {
    switch (action.type){
        case "CHANGE_AUTH_DATA":
            return{
                ...state, auth: action.payload
            }
        case "SET_ERROR":
            return{
                ...state, error: {...state.error, auth: action.payload}
            }
        case "SET_ACTIVE_USER_DATA":
            return{
                ...state, activeUser: action.payload,
            }
        case "SET_ACTIVE_USER_ALL_POSTS":
            return{
                ...state,
                activeUserPosts: action.payload
            }
        case "SET_OWNER_DATA":
            return{
                ...state, ownerData: action.payload,
            }
        default:
            return state
    }
}

export default rootReducer;

